Bug 240010 - Kexec/Kdump fails with RHEL5 on ES7000 ia64 EL Servers.
Kexec/Kdump fails with RHEL5 on ES7000 ia64 EL Servers.
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools (Show other bugs)
5.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-14 07:35 EDT by Ramesh Babu Ankam
Modified: 2009-09-09 01:12 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 06:36:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ramesh Babu Ankam 2007-05-14 07:35:38 EDT
Description of problem:
Kexec/Kdump fails with RHEL5 and more steps are described in the HOW TO 
REPRODUCE.


Version-Release number of selected component (if applicable):
OS LEVEL :RHEL5
Kexec Tool Used :Server/kexec-tools-1.101-164.el5.ia64.rpm

How reproducible:


Steps to Reproduce:
1.crash kernel memory was allocated  with 512M@256M at install time
2.Rebooted the partition and execute 
kexec -l /boot/vmlinuz-`uname -r` --initrd=/boot/initrd-`uname -r`.img --
command-line="`cat /proc/cmdline`"
3.Tried to crash the kernel using 
  echo 1 > /proc/sys/kernel/sysrq
  echo c > /proc/sysrq-trigger 

  
Actual results:
The crash Kernel image is not seen after reboot in /var/crash.

Expected results:
The crash Kernel image has to be found in the /var/crash

Additional info:
Comment 1 Luming Yu 2007-06-11 14:45:24 EDT
Does base kernel work or not?
Comment 2 Jarod Wilson 2007-06-12 10:41:10 EDT
Is the kdump service enabled? You need to 'chkconfig kdump on' and 'service
kdump start' to make sure the kdump environment actually gets set up. A manual
kexec -l only loads a kernel for rebooting, not for panic dump.
Comment 3 Ramesh Babu Ankam 2007-06-13 08:22:21 EDT
(In reply to comment #1)
> Does base kernel work or not?

By the steps to reproduce, we used the base kernel to kexec and it didn't work. 
Comment 4 Ramesh Babu Ankam 2007-06-13 08:25:57 EDT
(In reply to comment #2)
> Is the kdump service enabled? You need to 'chkconfig kdump on' and 'service
> kdump start' to make sure the kdump environment actually gets set up. A manual
> kexec -l only loads a kernel for rebooting, not for panic dump.

We didn't check the kdump part when we performed the steps in the bugzilla. We 
want to get the second kernel to boot when the first kernel panics. After we 
get to reboot, we can try the dump feature. 

Is kdump necessary to get kexec working?

-Ashwin
Comment 5 Jarod Wilson 2007-06-13 09:34:08 EDT
Just a 'kexec -l' won't work, that only specifies a kernel to reboot into via a
clean kexec reboot. You need to load a kernel with 'kexec -p' (-p = panic
kernel) for it to be used for an automatic reboot following a panic (this is
part of what the kdump initscript does). You also must have a crashkernel memory
region reserved for the panic kernel to use. Please see the HOWTO included in
our kexec-tools rpm.
Comment 6 Ramesh Babu Ankam 2007-06-22 02:37:50 EDT
Today we tried the kexec/kdump tests on RHEL5. All the tests were run in 
runlevel 3(Non-GUI mode)
1. RHEL5 Single Processor Results 
   i. Kexec worked fine with kexec -l and kexec -e commands.
   ii.kdump gave a kernel panic with kexec -p command. Also, I executed a crash 
without the kexec -p but there were PROCNODE errors.
2. RHEL5 Multi Processor Results
   i. Kexec failed with Procnode error with kexec -l and kexec -e without kdump 
service running.
   ii.Kdump failed with Procnode error when a crash was initiated.
Comment 7 Jarod Wilson 2007-06-27 14:57:29 EDT
Neil, any of this seem familiar to you at all? This is a new one to me...
Comment 8 Neil Horman 2007-06-27 17:19:05 EDT
No, Can we please get:
1) /etc/kdump.conf from this system
2) the initramfs that kdump produces which gets loaded on kdump service start
3) serial console log of kexec kernels boot process
Comment 9 Neil Horman 2007-08-29 10:53:47 EDT
ping.  Any update here?
Comment 10 Luming Yu 2008-05-14 04:46:03 EDT
ping. Is it safe to close?
Comment 11 Ramesh Babu Ankam 2008-05-14 05:31:36 EDT
(In reply to comment #10)
> ping. Is it safe to close?

Ya you can close this issue.


Note You need to log in before you can comment on or make changes to this bug.